# st

Unnamed repository; edit this file 'description' to name the repository.

| Log | Files | Refs | README | LICENSE

    commit 1fe0a5f39a8755da4cd16e92f2ea00676d9ee3ca
    parent 4435e0ee6791136e641d58ce6cf00f8665fe3065
    Author: Johannes Hofmann <johannes.hofmann@gmx.de>
    Date:   Sun, 24 Nov 2013 10:20:45 +0100

    Use int instead of long for color

    This patch replaces long by int32_t. It saves
    some memory on 64bit systems.

    Diffstat:
    Mst.c | 12++++++------

    1 file changed, 6 insertions(+), 6 deletions(-)
    diff --git a/st.c b/st.c
    @@ -180,8 +180,8 @@ typedef unsigned short ushort;
     typedef struct {
     	char c[UTF_SIZ]; /* character code */
     	ushort mode;      /* attribute flags */
    -	ulong fg;        /* foreground  */
    -	ulong bg;        /* background  */
    +	uint32_t fg;      /* foreground  */
    +	uint32_t bg;      /* background  */
     } Glyph;

     typedef Glyph *Line;
    @@ -379,7 +379,7 @@ static void tsetdirtattr(int);
     static void tsetmode(bool, bool, int *, int);
     static void tfulldirt(void);
     static void techo(char *, int);
    -static long tdefcolor(int *, int *, int);
    +static uint32_t tdefcolor(int *, int *, int);
     static void tselcs(void);
     static void tdeftran(char);
     static inline bool match(uint, uint);
    @@ -1666,9 +1666,9 @@ tdeleteline(int n) {
     	tscrollup(term.c.y, n);
     }

    -long
    +uint32_t
     tdefcolor(int *attr, int *npar, int l) {
    -	long idx = -1;
    +	int32_t idx = -1;
     	uint r, g, b;

     	switch (attr[*npar + 1]) {
    @@ -1717,7 +1717,7 @@ tdefcolor(int *attr, int *npar, int l) {
     void
     tsetattr(int *attr, int l) {
     	int i;
    -	long idx;
    +	int32_t idx;

     	for(i = 0; i < l; i++) {
     		switch(attr[i]) {